Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.agentmark.co/v1/traces/{traceId} \
--header 'Authorization: Bearer <token>' \
--header 'X-Agentmark-App-Id: <api-key>'import requests
url = "https://api.agentmark.co/v1/traces/{traceId}"
headers = {
"X-Agentmark-App-Id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Agentmark-App-Id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.agentmark.co/v1/traces/{traceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"cost": 123,
"end": "2023-11-07T05:31:56Z",
"id": "<string>",
"latency_ms": 123,
"name": "<string>",
"spans": [
{
"cost": 123,
"duration_ms": 123,
"id": "<string>",
"input_tokens": 1,
"model": "<string>",
"name": "<string>",
"output_tokens": 1,
"parent_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"tokens": 1,
"trace_id": "<string>",
"type": "<string>",
"finish_reason": "<string>",
"input": "<string>",
"metadata": {},
"output": "<string>",
"output_object": "<string>",
"prompt_name": "<string>",
"props": "<string>",
"reasoning_tokens": 1,
"service_name": "<string>",
"settings": "<string>",
"span_kind": "<string>",
"status_message": "<string>",
"tool_calls": "<string>"
}
],
"start": "2023-11-07T05:31:56Z",
"tokens": 1,
"graph": [
{
"displayName": "<string>",
"nodeId": "<string>",
"nodeType": "<string>",
"spanId": "<string>",
"spanName": "<string>",
"parentNodeId": "<string>"
}
],
"input": "<string>",
"metadata": {},
"output": "<string>",
"scores": [
{
"created_at": "<string>",
"id": "<string>",
"name": "<string>",
"resource_id": "<string>",
"score": 123,
"source": "<string>",
"label": "<string>",
"reason": "<string>",
"user_id": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Retrieve a specific trace by ID, including all its spans.
Pass ?fields=graph to include agent-workflow DAG nodes in the graph field of the response. Successor to the deprecated GET /v1/traces/{traceId}/graph sub-resource.
Application ID for tenant scoping. X-Outerlayer-App-Id is accepted as an equivalent header.
API key (sk_agentmark_*)
The trace with its spans.
Show child attributes
Was this page helpful?